<?php

/* Enqueue Styling */
wp_enqueue_style( 'ysp-admin-style' );

if (!empty($_POST)) {  
    echo '<div id="message" class="updated"><p><strong>'. __('Settings saved.') .'</strong></p></div>';
    foreach ($_POST as $key => $value) {
        update_option($key, $value);
    }
    foreach ($vcis as $vci) {
        if (!isset($_POST[$vci['option']])) {
            update_option($vci['option'], '0');
        }
    }
}

settings_fields('yourstyle-plus');
do_settings_fields('yourstyle-plus', '');

echo '<div class="wrap">';
    echo '<h1>'. __('WPBakery Components', 'yourstyle-plus-companion-plugin') .'</h1><br/>';
    echo '<form method="post" action="">';

        echo '<span class="ysp-toggle-all">';
            echo '<input type="radio" name="ysp_toggle_all" value="on">'. __('Select all', 'yourstyle-plus-companion-plugin');
            echo '<br/><br/>';
            echo '<input type="radio" name="ysp_toggle_all" value="off">'. __('Deselect all', 'yourstyle-plus-companion-plugin');
        echo '</span>';

        echo '<script>
            jQuery(".ysp-toggle-all input").click(function() {
                if ( jQuery(this).val() == "on" ) {
                    var toggleChecked = true;
                } else {
                    var toggleChecked = false;
                }
                jQuery(".ysd-extension-toggle input").each(function(){
                    jQuery(this).prop("checked", toggleChecked);
                });
            });
        </script>';

        submit_button();

        echo '<div class="ysp-extensions">';
        
        foreach ($vcis as $vci) {
            echo '<div class="ysp-extension">';
                echo '<div class="ysd-extension-label">'. $vci['name'] .'</div>';
                echo '<div class="ysd-extension-toggle">';
                    echo '<label class="switch">';
                        echo '<input type="checkbox" name="'. $vci['option'] .'" value="1" '. ((!empty(get_option($vci['option']))) ? 'checked="checked"' : "") .'>';
                        echo '<span class="slider round"></span>';
                    echo '</label>';
                echo '</div>';
                echo '<div class="ysd-extension-desc">'. $vci['description'] .'</div>';
            echo '</div>';
        }

        echo '</div>';
        submit_button();
    echo '</form>';
echo '</div>';