<?php
/**
 * Yourstyle+ Mediabox Shortcode
 * 
 * The mediabox shortcode is currently build into Yourstyle+ but will
 * eventually relocated to the Yourstyle+ Companion Plugin.
 *
 * @package     Yourstyle_Plus_Companion_Plugin
 * @subpackage  Yourstyle_Plus_Companion_Plugin/addons
 * @since       1.7.5
 * @author      Yourstyle
 * @link        https://your-style.nl/
 * @version     1.0.0
 * 
 */

if (!class_exists('ysp_mediabox_shortcode')) {

    class ysp_mediabox_shortcode
    {

        // Lets run some basics
        function __construct()
        {
            add_action('init', array($this, 'disable_shortcode'));
        }

        function disable_shortcode()
        {
            remove_action('vc_after_init', 'ysp_vc_mediabox_shortcode');
        }

    }

    $ysp_mediabox_shortcode = new ysp_mediabox_shortcode();

}