<?php
/**
 * Plugin Name:     Yourstyle+ Companion Plugin
 * Plugin URL:		http://your-style.nl
 * Description:     Extra functionality for the Yourstyle+ Wordpress Theme.
 * Author:			Yourstyle
 * Version:		    1.7.5
 * Author URI:		http://your-style.nl
 * Text Domain:	    yourstyle-plus-companion-plugin
 * Domain Path:     /languages
 * License:		    GPLv2
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 */
define( 'YOURSTYLE_PLUS_COMPANION_PLUGIN', '1.7.5' );
define( 'YSP_COMPANION_TEXT_DOMAIN', 'yourstyle-plus-companion-plugin' );
define( 'YSP_COMPANION_URL' , plugin_dir_url( __FILE__ ) );
define( 'YSP_COMPANION_DIR' , plugin_dir_path( __FILE__ ) );
define( 'YSP_COMPANION_VC_SYMBOL', YSP_COMPANION_URL. 'admin/assets/vc/images/ysp-symbol.svg' );

/**
 * Make the plugin available for translation.
 * @since   1.0.0
 */
load_plugin_textdomain( 'yourstyle-plus-companion-plugin', false, dirname(plugin_basename( __FILE__ )) .'/languages/' );

/**
 * The code that runs during plugin activation.
 * 
 * @since    1.0.0
 */
function activate_yourstyle_plus_companion_plugin(){}
// register_activation_hook(__FILE__, 'activate_yourstyle_plus_companion_plugin');

/**
 * The code that runs during plugin deactivation.
 * 
 * @since    1.0.0
 */
function deactivate_yourstyle_plus_companion_plugin(){}
// register_activation_hook(__FILE__, 'deactivate_yourstyle_plus_companion_plugin');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require YSP_COMPANION_DIR . 'includes/core.php';

/**
 * The plugin helpers.
 */
require YSP_COMPANION_DIR . 'includes/plugin-helpers.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
$Yourstyle_Plus_Companion_Plugin = new Yourstyle_Plus_Companion_Plugin();